package com.palmnest.application.dto.output.lingling;

import java.io.Serializable;

/**
 * @Author hxt
 * @Description 新版本-访客机selectVisitor接口VO
 * @Date 2019/3/19 11:35
 **/
public class NewSelectVisitorVO implements Serializable{


    /**
	 * 
	 */
	private static final long serialVersionUID = 6914171482073355088L;
	
	private String 	visitorId ;
	private String 	AproveFrom  = "3";
	private String 	printStatus   = "2";
	private String 	printTime    = "";	

	private Integer IDType = 1 ;//类型，1 证件号，2 手机号，3 访客码
    private String idenNumber;
    private String name;
    private String gender = "1";//性别(1 男 2 女)
    private String start_time;
    private String headImgName;
	private String llingId;
    private String birthday;
    private String cardId;
    private String censusAddr;
    private String race;
    private String police;

    private String activeFrom;//身份证有效起始时间
    private String activeTo;//身份证有效结束时间
    private String snapshotImgName;
    private String phoneNo;   
    
    private Integer codeId  ; 
    private String orgId ;
    private String ownerName;
    private String autoFloor;
    private String purpose;
    private String arrpoveStatus;
    private String autoCompany;
    
	public String getVisitorId() {
		return visitorId;
	}
	public void setVisitorId(String visitorId) {
		this.visitorId = visitorId;
	}
	public String getAproveFrom() {
		return AproveFrom;
	}
	public void setAproveFrom(String aproveFrom) {
		AproveFrom = aproveFrom;
	}
	public String getPrintStatus() {
		return printStatus;
	}
	public void setPrintStatus(String printStatus) {
		this.printStatus = printStatus;
	}
	public String getPrintTime() {
		return printTime;
	}
	public void setPrintTime(String printTime) {
		this.printTime = printTime;
	}
	public Integer getIDType() {
		return IDType;
	}
	public void setIDType(Integer iDType) {
		IDType = iDType;
	}
	public String getIdenNumber() {
		return idenNumber;
	}
	public void setIdenNumber(String idenNumber) {
		this.idenNumber = idenNumber;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	public String getStart_time() {
		return start_time;
	}
	public void setStart_time(String start_time) {
		this.start_time = start_time;
	}
	public String getHeadImgName() {
		return headImgName;
	}
	public void setHeadImgName(String headImgName) {
		this.headImgName = headImgName;
	}
	public String getLlingId() {
		return llingId;
	}
	public void setLlingId(String llingId) {
		this.llingId = llingId;
	}
	public String getBirthday() {
		return birthday;
	}
	public void setBirthday(String birthday) {
		this.birthday = birthday;
	}
	public String getCardId() {
		return cardId;
	}
	public void setCardId(String cardId) {
		this.cardId = cardId;
	}
	public String getCensusAddr() {
		return censusAddr;
	}
	public void setCensusAddr(String censusAddr) {
		this.censusAddr = censusAddr;
	}
	public String getRace() {
		return race;
	}
	public void setRace(String race) {
		this.race = race;
	}
	public String getPolice() {
		return police;
	}
	public void setPolice(String police) {
		this.police = police;
	}
	public String getActiveFrom() {
		return activeFrom;
	}
	public void setActiveFrom(String activeFrom) {
		this.activeFrom = activeFrom;
	}
	public String getActiveTo() {
		return activeTo;
	}
	public void setActiveTo(String activeTo) {
		this.activeTo = activeTo;
	}
	public String getSnapshotImgName() {
		return snapshotImgName;
	}
	public void setSnapshotImgName(String snapshotImgName) {
		this.snapshotImgName = snapshotImgName;
	}
	public String getPhoneNo() {
		return phoneNo;
	}
	public void setPhoneNo(String phoneNo) {
		this.phoneNo = phoneNo;
	}
	public Integer getCodeId() {
		return codeId;
	}
	public void setCodeId(Integer codeId) {
		this.codeId = codeId;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public String getOwnerName() {
		return ownerName;
	}
	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}
	public String getAutoFloor() {
		return autoFloor;
	}
	public void setAutoFloor(String autoFloor) {
		this.autoFloor = autoFloor;
	}
	public String getPurpose() {
		return purpose;
	}
	public void setPurpose(String purpose) {
		this.purpose = purpose;
	}
	public String getArrpoveStatus() {
		return arrpoveStatus;
	}
	public void setArrpoveStatus(String arrpoveStatus) {
		this.arrpoveStatus = arrpoveStatus;
	}
	public String getAutoCompany() {
		return autoCompany;
	}
	public void setAutoCompany(String autoCompany) {
		this.autoCompany = autoCompany;
	}
}
